aboutsummaryrefslogtreecommitdiffstats
path: root/testsuite/gna/issue1779/testsuite.sh
diff options
context:
space:
mode:
Diffstat (limited to 'testsuite/gna/issue1779/testsuite.sh')
-rwxr-xr-xtestsuite/gna/issue1779/testsuite.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/testsuite/gna/issue1779/testsuite.sh b/testsuite/gna/issue1779/testsuite.sh
new file mode 100755
index 000000000..288e383a7
--- /dev/null
+++ b/testsuite/gna/issue1779/testsuite.sh
@@ -0,0 +1,26 @@
+#! /bin/sh
+
+. ../../testenv.sh
+
+# From issue 531
+
+analyze repro1.vhdl
+elab repro1
+
+if c_compiler_is_available && ghdl_has_feature repro1 vpi; then
+ $GHDL --vpi-compile -v gcc -c vpi1.c
+ $GHDL --vpi-link -v gcc -o vpi1.vpi vpi1.o
+
+ add_vpi_path
+
+ simulate repro1 --vpi=./vpi1.vpi | tee repro1.out
+ if grep -q Error repro1.out; then
+ echo "Error in output"
+ exit 1;
+ fi
+
+ rm -f vpi1.vpi vpi1.o sliced_ex.out
+fi
+clean
+
+echo "Test successful"